DOM::DocumentType class Reference (khtml Library)

| # khtml Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Source Files

# DOM::DocumentType Class Reference

Each `Document` has a `doctype` attribute whose value is either `null` or a `DocumentType` object. More...

`#include <dom_doc.h>`

Inheritance diagram for DOM::DocumentType:

[legend]
Collaboration diagram for DOM::DocumentType:

[legend]
List of all members.

## Public Member Functions
| DocumentType (const DocumentType &other)
| DocumentType (const Node &other)
DocumentType & | operator= (const Node &other)
DocumentType & | operator= (const DocumentType &other)
DOMString | name () const
| The name of DTD; i.e., the name immediately following the `DOCTYPE` keyword.
NamedNodeMap | entities () const
| A `NamedNodeMap` containing the general entities, both external and internal, declared in the DTD.
NamedNodeMap | notations () const
| A `NamedNodeMap` containing the notations declared in the DTD.
DOMString | publicId () const
| Introduced in DOM Level 2.
DOMString | systemId () const
| Introduced in DOM Level 2.
DOMString | internalSubset () const
| Introduced in DOM Level 2.
## Protected Member Functions
| DocumentType (DocumentTypeImpl *impl)
## Friends
class | Document
class | DOMImplementation

## Detailed Description

Each `Document` has a `doctype` attribute whose value is either `null` or a `DocumentType` object.

The `DocumentType` interface in the DOM Level 1 Core provides an interface to the list of entities that are defined for the document, and little else because the effect of namespaces and the various XML scheme efforts on DTD representation are not clearly understood as of this writing.

The DOM Level 1 doesn't support editing `DocumentType` nodes.

Definition at line 861 of file dom_doc.h.

## Member Function Documentation

DOMString DocumentType::name | ( |  | ) | const

| The name of DTD; i.e., the name immediately following the `DOCTYPE` keyword. Definition at line 517 of file dom_doc.cpp.

NamedNodeMap DocumentType::entities | ( |  | ) | const

| A `NamedNodeMap` containing the general entities, both external and internal, declared in the DTD. Duplicates are discarded. For example in: <!DOCTYPE ex SYSTEM "ex.dtd" [ <!ENTITY foo "foo"> <!ENTITY bar "bar"> <!ENTITY baz "baz"> ]> <ex/> the interface provides access to `foo` and `bar` but not `baz` . Every node in this map also implements the `Entity` interface. The DOM Level 1 does not support editing entities, therefore `entities` cannot be altered in any way. Definition at line 525 of file dom_doc.cpp.

NamedNodeMap DocumentType::notations | ( |  | ) | const

| A `NamedNodeMap` containing the notations declared in the DTD. Duplicates are discarded. Every node in this map also implements the `Notation` interface. The DOM Level 1 does not support editing notations, therefore `notations` cannot be altered in any way. Definition at line 533 of file dom_doc.cpp.

DOMString DocumentType::publicId | ( |  | ) | const

| Introduced in DOM Level 2. The public identifier of the external subset. Definition at line 541 of file dom_doc.cpp.

DOMString DocumentType::systemId | ( |  | ) | const

| Introduced in DOM Level 2. The system identifier of the external subset. Definition at line 549 of file dom_doc.cpp.

DOMString DocumentType::internalSubset | ( |  | ) | const

| Introduced in DOM Level 2. The internal subset as a string. Note: The actual content returned depends on how much information is available to the implementation. This may vary depending on various parameters, including the XML processor used to build the document. Definition at line 557 of file dom_doc.cpp.

The documentation for this class was generated from the following files:

- dom_doc.h
- dom_doc.cpp

This file is part of the documentation for kdelibs Version 3.1.5.
Documentation copyright © 1996-2002 the KDE developers.
Generated on Wed Jan 28 13:36:01 2004 by doxygen 1.3.4 written by Dimitri van Heesch, © 1997-2001